MQApiExitLocal (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQApiExitLocal interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQApiExitLocal

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface MQApiExitLocal

extends LogicalElement

When the queue manager starts, API exits defined here override the defaults defined in mqs.ini.

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQLCLEXIT

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getData()` API exits let you write code that changes the behavior of WebSphere MQ API calls, such as MQPUT and MQGET, and then insert that code immediately before or immediately after those calls.
`java.lang.String` | `getFunction()` The name of the function entry point into the module containing the API exit code.
`java.lang.String` | `getName()` The descriptive name of the API exit passed to it in the ExitInfoName field of the MQAXP structure.
`MQQueueManager` | `getQueueManager()`
`int` | `getSequence()` The sequence in which this API exit is called relative to other API exits.
`SoftwareComponent[]` | `getSoftware()`
`boolean` | `hasData()`
`boolean` | `hasFunction()`
`boolean` | `hasName()`
`boolean` | `hasQueueManager()`
`boolean` | `hasSequence()`
`boolean` | `hasSoftware()`
`void` | `setData(java.lang.String x)`
`void` | `setFunction(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setQueueManager(MQQueueManager x)`
`void` | `setSequence(int x)`
`void` | `setSoftware(SoftwareComponent[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getSoftware

    SoftwareComponent[] getSoftware()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InvokedThrough" reverse="true"

### setSoftware

    void setSoftware(SoftwareComponent[] x)

### hasSoftware

    boolean hasSoftware()

### getSequence

    int getSequence()
                    throws AttributeNotSetException

  The sequence in which this API exit is called relative to other API exits. An exit with a low sequence number is called before an exit with a higher sequence number. There is no need for the sequence numbering of exits to be contiguous - a sequence of 1, 2, 3 has the same result as a sequence of 7, 42, 1096. If two exits have the same sequence number, the queue manager decides which one to call first. You can tell which was called after the event by putting the time or a marker in ExitChainArea indicated by the ExitChainAreaPtr in MQAXP or by writing your own log file. This attribute is an unsigned numeric value.

  Throws:
    `AttributeNotSetException`

### setSequence

    void setSequence(int x)

### hasSequence

    boolean hasSequence()

### getFunction

    java.lang.String getFunction()
                                 throws AttributeNotSetException

  The name of the function entry point into the module containing the API exit code. This entry point is the MQ_INIT_EXIT function. Function=function_name The name of the function entry point into the module containing the API exit code. This entry point is the MQ_INIT_EXIT function. The length of this field is limited to MQ_EXIT_NAME_LENGTH. The length of this field is limited to MQ_EXIT_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setFunction

    void setFunction(java.lang.String x)

### hasFunction

    boolean hasFunction()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  The descriptive name of the API exit passed to it in the ExitInfoName field of the MQAXP structure. This name must be unique, no longer than 48 characters, and contain only valid characters for the names of WebSphere MQ objects (for example, queue names).

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getData

    java.lang.String getData()
                             throws AttributeNotSetException

  API exits let you write code that changes the behavior of WebSphere MQ API calls, such as MQPUT and MQGET, and then insert that code immediately before or immediately after those calls.

  Throws:
    `AttributeNotSetException`

### setData

    void setData(java.lang.String x)

### hasData

    boolean hasData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD